/// <reference path="../hoops_web_viewer.d.ts"/>
/// <reference path="../common/Example.ts"/>
var Example;
(function (Example) {
    var OperatorModifierExample = /** @class */ (function () {
        function OperatorModifierExample() {
        }
        OperatorModifierExample.prototype.start = function (viewerOptions) {
            var _this = this;
            return Example.createViewer(viewerOptions).then(function (viewer) {
                _this._viewer = viewer;
                _this._operatorManager = _this._viewer.operatorManager;
                _this._bindEvents();
                _this._viewer.start();
                _this.updateOperatorModifier("orbit", Communicator.OperatorId.Orbit);
				
				var operator = _this._operatorManager.getOperator(Communicator.OperatorId.Orbit);
			    if(operator)
				{
					operator.addMapping(Communicator.Button.Right);
				}
            });
        };
        OperatorModifierExample.prototype._bindEvents = function () {
            var _this = this;
            var element = document.getElementById("orbit-button");
            element.onchange = function () {
                _this.updateOperatorModifier("orbit", Communicator.OperatorId.Orbit);
            };
        };
        OperatorModifierExample.prototype.updateOperatorModifier = function (elementId, operatorId) {
            var operator = this._operatorManager.getOperator(operatorId);
            if (operator instanceof Communicator.Operator.OperatorBase) {
                var buttonElem = document.getElementById(elementId + "-button");
                var button = parseInt(buttonElem.value, 10);
				
				if(operatorId == Communicator.OperatorId.Orbit)
				{
					if( button == 1 )
					{
						operator.setPrimaryButton(Communicator.Button.Right);
					}else
					{
					    operator.setPrimaryButton(Communicator.Button.Middle);
					}
				}
            }
        };
        return OperatorModifierExample;
    }());
    Example.OperatorModifierExample = OperatorModifierExample;
})(Example || (Example = {}));
